OMPI-IOF(1)

NAME
ompi-iof, orte-iof - Displays a copy of the output streams from a process.

NOTE: ompi-iof, and orte-iof are exact synonyms for each other. Using any of the names will result in exactly identical behavior.

SYNOPSIS
ompi-iof [ options ]

Options
ompi-iof will display a copy of the indicated stdout, stderr, and/or stddiag streams from the designated process.

-pid | --pid
    The pid of the mpirun executing the process whose streams are to be copied

-stdout | --stdout
    Display a copy of the specified process' stdout. If no options are specified, this will act as the default

-stderr | --stderr
    Display a copy of the specified process' stderr.

-stddiag | --stddiag
    Display a copy of the specified process' stddiag.

-rank | --rank
    The rank of the process whose output is to be copied.

-tag-output | --tag-output
    Tag each line of output with the process name and stream name.

DESCRIPTION

ompi-iof displays a copy of the indicated stdout, stderr, and/or stddiag streams from the designated process. At this time, a ctrl-C must be used to terminate the program. The program will terminate cleanly, telling the associated mpirun to close the requested streams before exiting.

SEE ALSO
orterun(1)